mbed TLS v2.23.0

Data Fields
psa_hash_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_hash_operation_s:
[legend]

## Data Fields
psa_algorithm_t | alg
union {
unsigned dummy
mbedtls_md5_context md5
mbedtls_ripemd160_context ripemd160
mbedtls_sha1_context sha1
mbedtls_sha256_context sha256
mbedtls_sha512_context sha512
} | ctx

## Detailed Description

Definition at line 82 of file crypto_struct.h.

## Field Documentation

## ◆ alg

psa_algorithm_t psa_hash_operation_s::alg

Definition at line 84 of file crypto_struct.h.

## ◆ ctx

union { ... } psa_hash_operation_s::ctx

## ◆ dummy

unsigned psa_hash_operation_s::dummy

Definition at line 87 of file crypto_struct.h.

## ◆ md5

mbedtls_md5_context psa_hash_operation_s::md5

Definition at line 95 of file crypto_struct.h.

## ◆ ripemd160

mbedtls_ripemd160_context psa_hash_operation_s::ripemd160

Definition at line 98 of file crypto_struct.h.

## ◆ sha1

mbedtls_sha1_context psa_hash_operation_s::sha1

Definition at line 101 of file crypto_struct.h.

## ◆ sha256

mbedtls_sha256_context psa_hash_operation_s::sha256

Definition at line 104 of file crypto_struct.h.

## ◆ sha512

mbedtls_sha512_context psa_hash_operation_s::sha512

Definition at line 107 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h